Bug 1572894 - [abrt] Zim: update_completion(): widgets.py:2010:update_completion:AttributeError: 'NoneType' object has no attribute 'get_model'
Summary: [abrt] Zim: update_completion(): widgets.py:2010:update_completion:AttributeE...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Zim
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cd6ce900f564aad07b1d60fa447...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-28 12:57 UTC by Gwendal
Modified: 2019-04-06 20:18 UTC (History)
2 users (show)

Fixed In Version: Zim-0.70-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-06 20:18:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (584 bytes, text/plain)
2018-04-28 12:57 UTC, Gwendal
no flags Details
File: cgroup (341 bytes, text/plain)
2018-04-28 12:57 UTC, Gwendal
no flags Details
File: cpuinfo (1.67 KB, text/plain)
2018-04-28 12:57 UTC, Gwendal
no flags Details
File: environ (1.96 KB, text/plain)
2018-04-28 12:57 UTC, Gwendal
no flags Details
File: mountinfo (4.71 KB, text/plain)
2018-04-28 12:57 UTC, Gwendal
no flags Details
File: namespaces (129 bytes, text/plain)
2018-04-28 12:57 UTC, Gwendal
no flags Details
File: open_fds (1.14 KB, text/plain)
2018-04-28 12:57 UTC, Gwendal
no flags Details

Description Gwendal 2018-04-28 12:57:02 UTC
Version-Release number of selected component:
Zim-0.68-1.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        /usr/bin/python2 /usr/bin/zim
crash_function: update_completion
exception_type: AttributeError
executable:     /usr/bin/zim
interpreter:    python2-2.7.14-15.fc28.x86_64
kernel:         4.16.3-300.fc28.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
widgets.py:2010:update_completion:AttributeError: 'NoneType' object has no attribute 'get_model'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/signals.py", line 414, in callback
    self.cb_func(*arg, **kwarg)
  File "/usr/lib/python2.7/site-packages/zim/gui/widgets.py", line 2010, in update_completion
    model = self.get_completion().get_model()
AttributeError: 'NoneType' object has no attribute 'get_model'

Local variables in innermost frame:
text: ''
self: <PageEntry object at 0x7f18dc2e4c30 (zim+gui+widgets+InputEntry at 0x5634e9e57900)>

Comment 1 Gwendal 2018-04-28 12:57:06 UTC
Created attachment 1428058 [details]
File: backtrace

Comment 2 Gwendal 2018-04-28 12:57:08 UTC
Created attachment 1428059 [details]
File: cgroup

Comment 3 Gwendal 2018-04-28 12:57:09 UTC
Created attachment 1428060 [details]
File: cpuinfo

Comment 4 Gwendal 2018-04-28 12:57:10 UTC
Created attachment 1428061 [details]
File: environ

Comment 5 Gwendal 2018-04-28 12:57:11 UTC
Created attachment 1428062 [details]
File: mountinfo

Comment 6 Gwendal 2018-04-28 12:57:12 UTC
Created attachment 1428063 [details]
File: namespaces

Comment 7 Gwendal 2018-04-28 12:57:13 UTC
Created attachment 1428064 [details]
File: open_fds

Comment 8 Fedora Update System 2019-04-01 03:40:56 UTC
Zim-0.70-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-85afe89e56

Comment 9 Fedora Update System 2019-04-02 02:29:43 UTC
Zim-0.70-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-85afe89e56

Comment 10 Fedora Update System 2019-04-06 20:18:49 UTC
Zim-0.70-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.